Package org.zkoss.zk.xel

## Interface Evaluator

- All Superinterfaces:
    `java.io.Serializable`
  All Known Subinterfaces:
    `BindEvaluatorX`, `EvaluatorRef`
  All Known Implementing Classes:
    `BindEvaluatorXImpl`, `BindEvaluatorXImplEx`, `ClientBinderResolver`, `SimpleEvaluator`

      public interface Evaluator
      extends java.io.Serializable

  A ZK specific expression builder that is based on XEL.
  Since:
    3.0.0
  Author:
    tomyeh

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `evaluate​(Component comp, Expression expression)` | Evaluates the expression.
    `java.lang.Object` | `evaluate​(Page page, Expression expression)` | Evaluates the expression.
    `Expression` | `parseExpression​(java.lang.String expression, java.lang.Class<?> expectedType)` | Prepares the expression.

- - ### Method Detail

    - #### parseExpression

          Expression parseExpression​(java.lang.String expression,
                                     java.lang.Class<?> expectedType)
                              throws XelException

      Prepares the expression.
      Parameters:
        `expression` - the expression to be prepared for being evaluated later.
        `expectedType` - the expected type of the result of the evaluation
      Throws:
        `XelException`

    - #### evaluate

          java.lang.Object evaluate​(Page page,
                                    Expression expression)
                             throws XelException

      Evaluates the expression.
      Parameters:
        `page` - the page, or null to ignore
      Throws:
        `XelException`

    - #### evaluate

          java.lang.Object evaluate​(Component comp,
                                    Expression expression)
                             throws XelException

      Evaluates the expression.
      Parameters:
        `comp` - the component, or null to ignore
      Throws:
        `XelException`